<?php
/**
 * Template Name: Custom Home
 */

get_header(); ?>

<div class="header-image"></div>

<?php /** slider section **/ ?>
  	<div class="slider-main">
	    <?php
	      	// Get pages set in the customizer (if any)
	      	$pages = array();
	      	for ( $count = 1; $count <= 5; $count++ ) {
	        	$mod = absint( get_theme_mod( 'vw_construction_estate_slider' . $count ) );
	        	if ( 'page-none-selected' != $mod ) {
	          	$pages[] = $mod;
	        	}
	      	}
	      
	      	if( !empty($pages) ) :
	        	$args = array(
	          	'posts_per_page' => 5,
	          	'post_type' => 'page',
	          	'post__in' => $pages,
	          	'orderby' => 'post__in'
	        	);
	        	$query = new WP_Query( $args );
	        	if ( $query->have_posts() ) :
	          	$count = 1;
	          	?>
	          	<div id="slider" class="nivoSlider">
	            	<?php
		              	$vw_construction_estate_n = 0;
		            	while ( $query->have_posts() ) : $query->the_post();
		                
		                $vw_construction_estate_n++;
		                $vw_construction_estate_slideno[] = $vw_construction_estate_n;
		                $vw_construction_estate_slidetitle[] = get_the_title();
		                $vw_construction_estate_slideexcerpt[] = get_the_excerpt();
		                $vw_construction_estate_slidelink[] = esc_url( get_permalink() );
	                ?>
	                <img src="<?php the_post_thumbnail_url('full'); ?>" title="#slidecaption<?php echo esc_attr( $vw_construction_estate_n ); ?>" />
	                <?php
	              	$count++;
		            endwhile;
		            wp_reset_postdata(); ?>
	          	</div>

	          	<?php
	          	$vw_construction_estate_k = 0;
	            	foreach( $vw_construction_estate_slideno as $vw_construction_estate_sln ){ ?>
	              	<div id="slidecaption<?php echo esc_attr( $vw_construction_estate_sln ); ?>" class="nivo-html-caption">
	                	<div class="slide-cap">
	                  		<div class="container">
			                    <div class="main-slide">
			                      	<h2><?php echo esc_html( $vw_construction_estate_slidetitle[$vw_construction_estate_k] ); ?></h2>
			                      	<p><?php echo esc_html( $vw_construction_estate_slideexcerpt[$vw_construction_estate_k] ); ?></p>
			                      	<div class="slide-button">
			                        	<a class="read-more" href="<?php echo esc_url( $vw_construction_estate_slidelink[$vw_construction_estate_k] ); ?>"><?php esc_html_e( 'Discover More','vw-construction-estate' ); ?></a>
			                      	</div>
		                    	</div>
	                  		</div>
	                	</div>
	              	</div>
	              	<?php $vw_construction_estate_k++;
	          	}
	        	else : ?>
	            	<div class="header-no-slider"></div>
	          	<?php
	        		endif;
	      		else : ?>
	          	<div class="header-no-slider"></div>
	      	<?php
	     	endif; 
	    ?>
	</div>

<?php /*--Contact Us--*/?>
<section id="contact">
	<div class="col-md-3 contact-no">
		<?php if( get_theme_mod('vw_construction_estate_contact_number') != ''){ ?>
    		<i class="fas fa-phone-square"></i><span class="subtitle"><?php echo esc_html(get_theme_mod('vw_construction_estate_contact_number',__('+00-63-69-65-2635','vw-construction-estate'))); ?></span>
    	<?php }?>
	</div>
	<div class="col-md-9 contact-content">
		<div class="col-md-9">
			<?php if( get_theme_mod('vw_construction_estate_contact_title') != ''){ ?>
	    		<h3 class="subtitle"><?php echo esc_html(get_theme_mod('vw_construction_estate_contact_title',__('Get Your Free Consultant','vw-construction-estate'))); ?></h3>
	    	<?php }?>
	    	<?php if( get_theme_mod('vw_construction_estate_contact_content') != ''){ ?>
	    		<p class="subtitle"><?php echo esc_html(get_theme_mod('vw_construction_estate_contact_content',__('Add your contact us content here','vw-construction-estate'))); ?></p>
	    	<?php }?>
	    </div>
	    <div class="col-md-3">
	    	<?php if( get_theme_mod('vw_construction_estate_contact_text') != ''){ ?>
		    	<div class ="contact-btn">
		          	<a href="<?php echo esc_url(get_theme_mod('vw_construction_estate_contact_link','#')); ?>"><span><?php echo esc_html(get_theme_mod('vw_construction_estate_contact_text',__('Contact us Now','vw-construction-estate'))); ?></span></a>
		        </div>
	        <?php }?>
	    </div>
	</div>
</section>
<div class="clearfix"></div>

<?php /*--About Us--*/?>
<section class="about-section">
  	<div class="container-fluid">
    	<?php
      	$args = array( 'name' => get_theme_mod('vw_construction_estate_about_setting',''));
      	$query = new WP_Query( $args );
      	if ( $query->have_posts() ) :
        	while ( $query->have_posts() ) : $query->the_post(); ?>
        	<div class="abt-image col-md-4 col-sm-4">
          		<img src="<?php the_post_thumbnail_url('full'); ?>"/>
          	</div>
          	<div class="col-md-8 col-sm-8 content-sec">
            	<h3><?php the_title(); ?></h3>
            	<p><?php the_excerpt(); ?></p>
            	<div class ="about-btn">
              		<a href="<?php echo esc_url( the_permalink() ); ?>"><span><?php echo esc_html(get_theme_mod('vw_construction_estate_about_name',__('Discover More','vw-construction-estate'))); ?></span></a>
            	</div>
          	</div>          	
        <?php endwhile; 
        wp_reset_postdata();?>
        <?php else : ?>
          <div class="no-postfound"></div>
        <?php
    	endif; ?>
  	</div>
</section>

<?php do_action( 'vw_construction_estate_below_about' ); ?>

<?php get_footer(); ?>